import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/presentation/bloc/counter_cubit/counter_cubit.dart';
import 'package:flutter/material.dart';
import 'package:wyatt_bloc_helper/wyatt_bloc_helper.dart';

class CounterStateManagement extends CubitScreen<CounterCubit, int> {
  const CounterStateManagement({
    super.key,
    this.init,
    required this.builder,
  });

  final void Function(CounterCubit cubit)? init;
  final Widget Function(BuildContext context, int state) builder;

  @override
  CounterCubit create(BuildContext context) {
    final cubit = CounterCubit();
    init?.call(cubit);
    return cubit;
  }

  @override
  Widget onBuild(BuildContext context, int state) {
    return builder.call(context, state);
  }
}
